<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage modern-corporate
 * @since modern-corporate 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function modern_corporate_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Modern_Corporate_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Modern Corporate Shop Pro', 'modern-corporate' ),
		'button_text'      => __( 'Upgrade Pro', 'modern-corporate' ),
		'url'              => 'https://www.wpradiant.net/products/corporate-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'modern_corporate_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function modern_corporate_custom_control_scripts() {
	wp_enqueue_script( 'modern-corporate-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'modern-corporate-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'modern_corporate_custom_control_scripts' );